<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Photon.Api.Shared</name>
    </assembly>
    <members>
        <member name="T:Photon.Api.Shared.Common.DocumentFlowDirection">
            <summary>
                Направление потока документа с точки зрения пользователя 
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentFlowDirection.Outgoing">
            <summary>
                Исходящие - документы отправленные пользователем
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentFlowDirection.Incoming">
            <summary>
                Входящие - документы отправленные пользователю или клиенту пользователя
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.Common.DocumentSendState">
            <summary>
                Состояния отправки документа
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentSendState.Draft">
            <summary>
                TODO: Черновик?
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentSendState.Sent">
            <summary>
                TODO: Отправлено?
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentSendState.Saved">
            <summary>
                TODO: Черновик сохранён? Сохранено?
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.Common.DocumentState">
            <summary>
                Состояния документа
            </summary>
            <remarks>
                DocumentStates
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.Unknown">
            <summary>
                Неизвестный статус
            </summary>
            <remarks>
                Добавлен, чтобы явно работать с default значениями
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.DeliveryError">
            <summary>
                В процессе доставки пакета ЭД произошли ошибки
            </summary>
            <remarks>
                Код 102
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.ReadyToSend">
            <summary>
                Документ подписан, ожидается отправка документа
            </summary>
            <remarks>
                Код 004
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.Delivering">
            <summary>
                Осуществлена доставка пакета ЭД
            </summary>
            <remarks>
                Код 007
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.Received">
            <summary>
               Документ принят Получателем 
            </summary>
            <remarks>
                Код 009
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.DeclinedByRecipient">
            <summary>
                Получатель отказался в обработке принятого документа
            </summary>
            <remarks>
                Код 101
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.Sent">
            <summary>
                Документ отправлен, ожидается получение документа 
            </summary>
            <remarks>
                Код 005
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.Declined">
            <summary>
                Отказано в обработке
            </summary>
            <remarks>
                Код 011
            </remarks>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentState.DraftSaved">
            <summary>
                Сохранено как черновик
            </summary>
            <remarks>
                Код 003
            </remarks>
        </member>
        <member name="T:Photon.Api.Shared.Common.DocumentType">
            <summary>
                Тип документа
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.U001">
            <summary>
                Неформализованные_документы
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.S001">
            <summary>
                Изменения_статуса_документов
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.U003">
            <summary>
                Поручение_на_прием_ценных_бумаг_на_учет_иили_хранение
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.S004">
            <summary>
                Отказ_в_обработке_документа
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.U005">
            <summary>
                Передан
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.U001_3">
            <summary>
                Совет директоров
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.S006">
            <summary>
                Ответ_на_запрос_сертификата
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.C001">
            <summary>
                Запрос_на_перевыпуск_сертификата
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.I001">
            <summary>
                Соглашения_об_ЭДО
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.S009">
            <summary>
                Письмо_о_разграничении_потоков
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.U010">
            <summary>
                Отчет_ЦБРФ
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.A000">
            <summary>
                Депозитарная_анкета
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.A012">
            <summary>
                Анкеты_FATCA
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R000">
            <summary>
                Депозитарное_Поручение
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.CP02">
            <summary>
                Отчетность_сверка
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.RP01">
            <summary>
                Депозитарные_отчеты
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.E017">
            <summary>
                Электронное_голосование
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.KKD">
            <summary>
                Документ_ККД
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.I003">
            <summary>
                Информационное_письмо
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.S002">
            <summary>
                Настройки_клиента
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.UON">
            <summary>
                Уведомление_о_намерении
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.VR00">
            <summary>
                VR00
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R03_1">
            <summary>
                Поручение на прием ценных бумаг на учет и/или хранение
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R03_2">
            <summary>
                Поручение на снятие ценных бумаг с учета и/или хранения
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R03_3">
            <summary>
                Поручение на перевод ценных бумаг (между счетами депо Депонентов)
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R03_4">
            <summary>
                Поручение на перемещение ценных бумаг (изменение места хранения ЦБ)
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R03_5">
            <summary>
                Поручение на перевод ценных бумаг Депонента на торговый счет депо/ с торгового счета депо
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R05">
            <summary>
                Поручение на выдачу информации
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.R13">
            <summary>
                Поручение на отмену ранее поданного поручения
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.UON_TA">
            <summary>
                Согласие на операцию
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentType.UON_TD">
            <summary>
                Отказ на операцию
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.Common.DocumentViewState">
            <summary>
                Состояния просмотра документов
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentViewState.IsNotViewed">
            <summary>
                Документ не просмотрен
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.DocumentViewState.IsViewed">
            <summary>
                Документ просмотрен
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.Common.PagingQuery">
            <summary>
                Запрос постраничного поиска
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.Common.PagingQuery.Page">
            <summary>
                Номер страницы в выдаче начиная с 1
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.Common.PagingQuery.PageSize">
            <summary>
                Максимальное число строк в странице
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.Common.PagingResult`1">
            <summary>
                Страница выдачи поиска
            </summary>
            <typeparam name="TResult">Тип записей в выдаче поиска</typeparam>
        </member>
        <member name="P:Photon.Api.Shared.Common.PagingResult`1.Page">
            <summary>
                Номер страницы в выдаче поиска, начиная с 1
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.Common.PagingResult`1.PageSize">
            <summary>
                Размер страницы
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.Common.PagingResult`1.TotalCount">
            <summary>
                Общее количество записей в выдаче
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.Common.PagingResult`1.Data">
            <summary>
                Записи страницы
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.Common.ReconciliationType">
            <summary>
                Тип сверки
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.ReconciliationType.None">
            <summary>
                Не является сверкой
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.ReconciliationType.DailyReconciliation">
            <summary>
                Ежедневная сверка
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.Common.ReconciliationType.CbrfReconciliation">
            <summary>
                Сверка ЦБ РФ
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Definitions.ApiKeyOptions">
            <summary>
                Дефолтные значения, которые использует ApiKey-аутенификация.
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.ApiKeyOptions.AuthenticationScheme">
            <summary>
                Название схемы аутентификации по ApiKey
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.ApiKeyOptions.ApiKeyHeaderName">
            <summary>
                Название хедера, в котором должен передаваться ApiKey
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Definitions.ApplicationVersionHeader">
            <summary>
                Заголовок, используемый при передаче версии приложения в исходящих запросах.
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.ApplicationVersionHeader.Name">
            <summary>
                Название хедера, в котором должна передаваться версия
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Definitions.DeclineListIncludeFields">
            <summary>
                Дополнительные поля для загрузки c элементом списка отказов
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.DeclineListIncludeFields.None">
            <summary>
                Ничего не загружать
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.DeclineListIncludeFields.All">
            <summary>
                Загрузить все связанные поля
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.DeclineListIncludeFields.Document_FileName">
            <summary>
                Наименование файла документа
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Definitions.DocumentJobStatus">
            <summary>
                Статус создания документа
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.DocumentJobStatus.InProgress">
            <summary>
                Документ обрабатывается
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.DocumentJobStatus.Error">
            <summary>
                Ошибка обработки документа
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Definitions.DocumentJobStatus.Success">
            <summary>
                Документ успешно отправлен, карточка создана
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyDto">
            <summary>
                Ключ авторизации
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyDto.Name">
            <summary>
                Имя ключа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyDto.CreatedAt">
            <summary>
                Дата выпуска ключа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyDto.ExpiredAt">
            <summary>
                Дата истечения действия ключа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyDto.IsBlocked">
            <summary>
                Флаг, показывающий заблокирован ли ключ.
                Доступ по заблокированному ключу невозможен
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyIssueRequestDto">
            <summary>
                Запрос на создание ключа авторизации в Photon.API
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyIssueRequestDto.ApiKeyName">
            <summary>
                Название ключа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeyIssueRequestDto.TimeToLiveSeconds">
            <summary>
                Время жизни ключа, в секундах
            </summary>
            <remarks>
                Минимальное допустимое время: 60 секунд (1 минута).
                Максимальное допустимое время: 31_536_000 секунд (1 год).
            
                Если не заполнено, ключ будет выпущен с временем жизни 1 год.
            </remarks>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.ApiKeys.ApiKeysListRequestDto">
            <summary>
                Запрос списка ключей
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Clients.ClientDto">
            <summary>
                Клиент в выдаче результатов поиска
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Clients.ClientDto.Id">
            <summary>
                Идентификатор клиента
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Clients.ClientDto.FullName">
            <summary>
                Полное название клиента
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Clients.ClientDto.ShortName">
            <summary>
                Краткое название клиента
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Clients.ClientDto.Code">
            <summary>
                Альткод клиента
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Clients.ClientDto.Inn">
            <summary>
                ИНН клиента
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Clients.ClientsListRequestDto">
            <summary>
                Запрос для поиска клиентов, которым текущий пользователь может отправлять документы.
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Clients.ClientsListRequestDto.Inns">
            <summary>
                Фильтрация по ИНН клиентов.
                
                Если не заполнено, фильтрация по ИНН применяться не будет.
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Declines.DeclineDto">
            <summary>
                Отказ по документам
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclineDto.Id">
            <summary>
                Идентификатор отказа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclineDto.CreatedAt">
            <summary>
                Дата создания
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclineDto.Reason">
            <summary>
                Причина отказа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclineDto.DocumentId">
            <summary>
                Идентификатор документа, по которому пришёл отказ
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclineDto.Document">
            <summary>
                Документ, для которого создан отказ
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Declines.DeclinesListRequestDto">
            <summary>
                Запрос для поиска отказов по документам
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclinesListRequestDto.LastDeclineId">
            <summary>
                Идентификатор последнего обработанного отказа
            </summary>
            <remarks>
                Нужен для исключения дублей из выборки
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclinesListRequestDto.From">
            <summary>
                Дата, начиная с которой искать отказы
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclinesListRequestDto.PageSize">
            <summary>
                Размер страницы для возврата, максимальный размер 100
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.DeclinesListRequestDto.Include">
            <summary>
                Дополнительные поля для загрузки c отказом в списке
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Declines.OriginalDocumentDto">
            <summary>
                Документ, для которого создан отказ
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Declines.OriginalDocumentDto.FileName">
            <summary>
                Название файла документа 
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentJobDto">
            <summary>
                Задача на создание документа
            </summary>
            <remarks>
                Описывает процесс заведения документв в Фотоне - от получения EDT пакета, до заведения карточки документа с присвоением регистрационного номера
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentJobDto.Id">
            <summary>
                Идентификатор
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentJobDto.StartDate">
            <summary>
                Дата запуска задания
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentJobDto.FinishDate">
            <summary>
                Дата завершения задания
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentJobDto.Status">
            <summary>
                Статус создания документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentJobDto.DocumentId">
            <summary>
                Идентификатор созданного документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentJobDto.Error">
            <summary>
                Ошибка создания документа
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto">
            <summary>
                Документ в выдаче поиска
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.Id">
            <summary>
                Идентификатор документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.RegistrationNumber">
            <summary>
                Регистрационный номер документа
            </summary>
            TODO почему наллбл?
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.Subject">
            <summary>
                Тема документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.DocumentType">
            <summary>
                Тип документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.SenderUserId">
            <summary>
                Идентификатор пользователя-отправителя
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.IsLoadedInExternalSystem">
            <summary>
                True, если документ был выгружен во внешнюю систему
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.CurrentState">
            <summary>
                Статус документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.CurrentStateReason">
            <summary>
                Причина последнего изменения статуса документа
            </summary>
            <remarks>
                [Documents].[LastStateChangeReason]
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.IsSend">
            <summary>
                Состояние отправки документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.ViewState">
            <summary>
                Признак, пользователь прочитал документ
            </summary>
            <remarks>
                ViewState
                Принимает значения 1, 0
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.CreateDate">
            <summary>
                Дата создания документа
            </summary>
            <remarks>
                CreateDate
            </remarks>
            TODO почему налл?
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.SendDate">
            <summary>
                Дата отправки документа
            </summary>
            <remarks>
                SendDate
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentRecordDto.FileName">
            <summary>
                Название оригинального файла
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto">
            <summary>
                Запрос для поиска документов
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.Direction">
            <summary>
                Направление потока документов (с точки зрения пользователя, который запрашивает документы).
                
                <para>
                    Исходящие - документы, отправленные пользователем.
                </para>
                <para>     
                    Входящие - документы, отправленные пользователю.
                </para>
            </summary>
            <remarks>
                Значение по умолчанию - входящие (<see cref="F:Photon.Api.Shared.Common.DocumentFlowDirection.Incoming"/>)
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.IsLoadedInExternalSystem">
            <summary>
                Признак загруженности во внешнюю систему
                true - загружен по внешнюю систему, иначе false
            </summary>
            <remarks>
                Documents.IsLoadedInExternalSystem
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.DocumentStates">
            <summary>
                Идентификаторы статусов документов
            </summary>
            <remarks>
                DocumentStates.Id
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.DocumentsSendStates">
            <summary>
                Идентификаторы статусов отправки документов.
                
                <para>
                    Для входящего потока документов (<code>Direction = Incoming</code>) можно запрашивать только документы в статусе <code>"Отправлено" (Sent)</code>.
                </para>
            </summary>
            <remarks>
                DocumentStates.IsSend
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.DocumentTypeCodes">
            <summary>
                Коды типов документов
            </summary>
            <remarks>
                DocumenTypes.IdCode
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.SenderClientCodes">
            <summary>
                Идентификаторы пользователей отправителей документа
            </summary>
            <remarks>
                Clients.Code
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.SendDateFrom">
            <summary>
                Начало диапазона даты отправки документа
            </summary>
            <remarks>
                Documents.SendDate
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.SendDateTo">
            <summary>
                Конец диапазона даты отправки документа
            </summary>
            <remarks>
                Documents.SendDate
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.CreateDateFrom">
            <summary>
                Начало диапазона даты создания документа
            </summary>
            <remarks>
                Documents.CreateDate
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.DocumentsListRequestDto.CreateDateTo">
            <summary>
                Конец диапазона даты создания документа
            </summary>
            <remarks>
                Documents.CreateDate
            </remarks>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Documents.UpdateDocumentRequestDto">
            <summary>
                Информация по частичному обновлению полей документа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.UpdateDocumentRequestDto.IsLoadedInExternalSystem">
            <summary>
                Обновление статуса выгрузки по внешюю систему
            </summary>
            <remarks>
                Обновляется, только если выставлено значение
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.UpdateDocumentRequestDto.DocumentState">
            <summary>
                Новый статус документа
            </summary>
            <remarks>
                Обновляется, только если выставлено значение
            </remarks>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Documents.UpdateDocumentRequestDto.Reason">
            <summary>
                Причина смены статуса документа. Обязательно для перевода в отказные статусы
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobDto">
            <summary>
                Статус формирования принтформы
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobDto.Id">
            <summary>
                Идентификатор
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobDto.StartDate">
            <summary>
                Дата начала формирования принтформы
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobDto.FinishDate">
            <summary>
                Дата завершени формировани принтформы
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobDto.Status">
            <summary>
                Сформирована ли принтформа
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobDto.PrintFormId">
            <summary>
                Идентификатор сформированной принтформы
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobDto.Error">
            <summary>
                Ошибка формирования, если произошел сбой
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobStatus">
            <summary>
                Статус формировани печатной формы
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobStatus.InProgress">
            <summary>
                Печатная форма формируется
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobStatus.Error">
            <summary>
                Ошибка формирования печатной формы
            </summary>
        </member>
        <member name="F:Photon.Api.Shared.v2._0.Dtos.PrintForms.PrintFormJobStatus.Success">
            <summary>
                Печатная форма успешно сформирована
            </summary>
        </member>
        <member name="T:Photon.Api.Shared.v2._0.Dtos.Users.UserDto">
            <summary>
                Пользователь - сотрудника компании (клиента)
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Users.UserDto.Id">
            <summary>
                Уникальный идентификатор пользователя.
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Users.UserDto.Code">
            <summary>
                Альт код пользователя
            </summary>
        </member>
        <member name="P:Photon.Api.Shared.v2._0.Dtos.Users.UserDto.FullName">
            <summary>
                ФИО пользователя
            </summary>
        </member>
    </members>
</doc>
